# Jekyll Theme Simpleton
## Table of Contents
- [About](#about)
- [Instructions](#instructions)
- [Usage](#usage)
- [License](#license)
- [Is it any good?](#is-it-any-good)


## About
Just my personal simplistic theme for when I really don't care about style.


## Instructions
### Installation
Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-theme-simpleton"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-theme-simpleton
```

And then execute:
```sh
bundle
```

Or install it yourself as:
```sh
gem install jekyll-theme-simpleton
```

### Development
To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `jekyll-theme-simpleton.gemspec` accordingly.


## Usage
The whole idea is having no theme specific configurations ... enjoy!


### Menu Order
Add `menu_weight: <number>` to your front matter if you want to control the
order of menu entries. The higher the weight the lower the item will appear.
Weightless items appear always _after_ weighted items


### Hidden Menu Items
Add `hidden: true` to your front matter if you want to hide the page from the
menu.


## License
The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).


## Is it any good?
[Yes](https://news.ycombinator.com/item?id=3067434).
